coupang
PATCH/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/rejectionv1

Reject an exchange request

# 01

Summary

Available buyer market: Korean When unable to accept a customer's exchange request, you can reject it using this API.

# 02

Details

Available buyer market: Korean

When unable to accept a customer's exchange request, you can reject it using this API.
 
Preconditions for rejection:
  1. OOS of the exchange product
  2. Exchange request cancelled by the customer

Path

PATCH PUT

/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/exchangeRequests/{exchangeId}/rejection

Example Endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/exchangeRequests/100000070/rejection

Request Parameters

Path Segment Parameter

Name Required Type Description
vendorId O String
Seller ID
Unique code issued to Vendor by Coupang
예) A00012345
exchangeId O Number
Exchange receipt ID
*Use the exchange request list query API to check this ID

 

Body Parameter

Name Required Type Description
exchangeId O Number
Exchange receipt ID
vendorId O String
Seller ID
Unique code issued to Vendor by Coupang
ex) A00012345
exchangeRejectCode O String
Code of rejection reason
Note: Can enter either "SOLDOUT" or "WITHDRAW" for the rejection reason code
  • SOLDOUT: Item exchangeable but OOS
  • WITHDRAW: Exchange request cancelled (by Customer)

Request Example

{
  "exchangeId": "100000070",
  "exchangeRejectCode": "SOLDOUT",
  "vendorId": "A00012345"
}

Response Message

Name Type Description
code Number
server response status code
message String
detail info
data Object
 
  resultCode String
SUCCESS or FAIL
  resultMessage String
Result message for the exchange reject request

Response Example

{
  "code": "200",
  "message": "SUCCESS",
  "data": {
    "resultCode": "SUCCESS",
    "resultMessage": "요청 처리완료"
  }
}

URL API Name

REJECT_EXCHANGE_REQUEST